var AllStyles = require('../AllStyles');

var ColorfulChrono = {
    flare: {
        colors: [
            '#e3000f',
            '#b71a49',
            '#006b94',
            '#009bb4',
            '#000000'
        ]
    },
    case: {
        shape: AllStyles.shape.roundedCircle,
        bg: AllStyles.background.steel,
    },
    dial: {
        shape: AllStyles.shape.roundedCircle,
        bg: AllStyles.background.greyFume
    },
    hands: {
        type: {
            hour: 'hour',
            minute: 'minute',
            second: 'second'
        },
        hour: {
            color: AllStyles.background.success,
            length: '30%',
            margin: '0 20%',
            width: '4px'
        },
        minute: {
            color: AllStyles.background.danger
        },
        second: {
            color: AllStyles.background.primary
        },
    },
    header: 'New York',
    index: {
        color: AllStyles.background.inverse,
        nodeCount: AllStyles.index.type.hour,
        customNode: {
            3: {
                display: AllStyles.display.none
            },
            9: {
                display: AllStyles.display.none
            },
            12: {
                display: AllStyles.display.none
            }
        }
    },
    grid: {
        2: {
            label: {
                color: AllStyles.color.white,
                font: AllStyles.font.monoton,
                text: 'RBD'
            }
        },
        4: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: AllStyles.background.faded
            },
            index: {
                color: AllStyles.background.info,
                nodeCount: AllStyles.index.type.hour
            },
            hand: {
                color: AllStyles.background.primary
            }
        },
        6: {
            dial: {
                border: 'solid black 1px',
                shape: AllStyles.shape.roundedCircle,
                bg: AllStyles.background.faded
            },
            index: {
                color: AllStyles.background.success,
                nodeCount: AllStyles.index.type.hour
            },
            hand: {
                color: AllStyles.background.primary
            }
        }
    },
    timeZone: -4
}

module.exports = ColorfulChrono;